import 'package:doctor_app_flutter/core/viewModel/schedule_view_model.dart';
import 'package:doctor_app_flutter/screens/base/base_view.dart';
import 'package:doctor_app_flutter/utils/translations_delegate_base_utils.dart';
import 'package:doctor_app_flutter/widgets/doctor/my_schedule_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/app_scaffold_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/errors/error_message.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

class MyScheduleScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<ScheduleViewModel>(
        onModelReady: (model) => model.getDoctorSchedule(),
        builder: (_, model, w) => AppScaffold(
              baseViewModel: model,
              isShowAppBar: false,
              body: model.listDoctorWorkingHoursTable.length == 0
                  ? Center(
                      child:ErrorMessage(error: TranslationBase.of(context).errorNoSchedule,),
                    )
                  : Container(
                      color: HexColor("#EFEFEF"),
                      padding: EdgeInsetsDirectional.fromSTEB(0, 0, 21, 0),
                      child: ListView(
                        children: <Widget>[
                              Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: <Widget>[
                                  scheduleListByDate(model),
                                  //   scheduleListByDate('Wednesday, 8 April '),
                                ],
                              ),
                        ],
                      ),
                    ),
            ));
  }

  Column scheduleListByDate(ScheduleViewModel model) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        SizedBox(
          height: 10,
        ),
        Container(
          child: Column(
            children: model.listDoctorWorkingHoursTable.map((item) {
              return MyScheduleWidget(
                workingHoursTable: item,
              );
            }).toList(),
          ),
        ),
      ],
    );
  }
}
